autofs-5.1.0-beta1 - fix ldap default master map name config

From: Ian Kent <ikent@redhat.com>

If there is no master map name defined in the autofs configuration the
lookup will try to find a map with the default name and if the map isn't
found will substute dots with underscores and repeat the lookup.

So don't set the default master map name at defaults initialization time.
---
 CHANGELOG      |    1 +
 lib/defaults.c |    5 -----
 2 files changed, 1 insertion(+), 5 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 760a206..fd8878f 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -12,6 +12,7 @@
 - fix wildcard key lookup.
 - fix out of order amd timestamp lookup.
 - fix ldap default schema config.
+- fix ldap default master map name config.
 
 28/03/2014 autofs-5.0.9
 =======================
diff --git a/lib/defaults.c b/lib/defaults.c
index 48e9073..1d4916a 100644
--- a/lib/defaults.c
+++ b/lib/defaults.c
@@ -266,11 +266,6 @@ static int conf_load_autofs_defaults(void)
 	const char *sec = autofs_gbl_sec;
 	int ret;
 
-	ret = conf_update(sec, NAME_MASTER_MAP,
-			  DEFAULT_MASTER_MAP_NAME, CONF_ENV);
-	if (ret == CFG_FAIL)
-		goto error;
-
 	ret = conf_update(sec, NAME_TIMEOUT,
 			  DEFAULT_TIMEOUT, CONF_ENV);
 	if (ret == CFG_FAIL)
